Loading...
Searching...
No Matches
ISMRMRD::ISMRMRD_ImageHeader Struct Reference

`#include <ismrmrd.h>`

Inheritance diagram for ISMRMRD::ISMRMRD_ImageHeader:

## Public Attributes

uint16_t | version
uint16_t | data_type
uint64_t | flags
uint32_t | measurement_uid
uint16_t | matrix_size [3]
float | field_of_view [3]
uint16_t | channels
float | position [3]
float | read_dir [3]
float | phase_dir [3]
float | slice_dir [3]
float | patient_table_position [3]
uint16_t | average
uint16_t | slice
uint16_t | contrast
uint16_t | phase
uint16_t | repetition
uint16_t | set
uint32_t | acquisition_time_stamp
uint32_t | physiology_time_stamp [ISMRMRD_PHYS_STAMPS]
uint16_t | image_type
uint16_t | image_index
uint16_t | image_series_index
int32_t | user_int [ISMRMRD_USER_INTS]
float | user_float [ISMRMRD_USER_FLOATS]
uint32_t | attribute_string_len

## Detailed Description

Header for each Image

## Member Data Documentation

## acquisition_time_stamp

uint32_t ISMRMRD::ISMRMRD_ImageHeader::acquisition_time_stamp

Acquisition clock

## attribute_string_len

uint32_t ISMRMRD::ISMRMRD_ImageHeader::attribute_string_len

Length of attributes string

## average

uint16_t ISMRMRD::ISMRMRD_ImageHeader::average

e.g. signal average number

## channels

uint16_t ISMRMRD::ISMRMRD_ImageHeader::channels

Number of receive channels

## contrast

uint16_t ISMRMRD::ISMRMRD_ImageHeader::contrast

e.g. echo number in multi-echo

## data_type

uint16_t ISMRMRD::ISMRMRD_ImageHeader::data_type

e.g. unsigned short, float, complex float, etc.

## field_of_view

float ISMRMRD::ISMRMRD_ImageHeader::field_of_view[3]

Size (in mm) of the 3 spatial dimensions

## flags

uint64_t ISMRMRD::ISMRMRD_ImageHeader::flags

bit field with flags

## image_index

uint16_t ISMRMRD::ISMRMRD_ImageHeader::image_index

e.g. image number in series of images

## image_series_index

uint16_t ISMRMRD::ISMRMRD_ImageHeader::image_series_index

e.g. series number

## image_type

uint16_t ISMRMRD::ISMRMRD_ImageHeader::image_type

e.g. magnitude, phase, complex, real, imag, etc.

## matrix_size

uint16_t ISMRMRD::ISMRMRD_ImageHeader::matrix_size[3]

Pixels in the 3 spatial dimensions

## measurement_uid

uint32_t ISMRMRD::ISMRMRD_ImageHeader::measurement_uid

Unique ID for the measurement

## patient_table_position

float ISMRMRD::ISMRMRD_ImageHeader::patient_table_position[3]

Patient table off-center

## phase

uint16_t ISMRMRD::ISMRMRD_ImageHeader::phase

e.g. cardiac phase number

## phase_dir

float ISMRMRD::ISMRMRD_ImageHeader::phase_dir[3]

Directional cosines of the phase

## physiology_time_stamp

uint32_t ISMRMRD::ISMRMRD_ImageHeader::physiology_time_stamp[ISMRMRD_PHYS_STAMPS]

Physiology time stamps, e.g. ecg, breathing, etc.

## position

float ISMRMRD::ISMRMRD_ImageHeader::position[3]

Three-dimensional spatial offsets from isocenter

## read_dir

float ISMRMRD::ISMRMRD_ImageHeader::read_dir[3]

Directional cosines of the readout/frequency encoding

## repetition

uint16_t ISMRMRD::ISMRMRD_ImageHeader::repetition

e.g. dynamic number for dynamic scanning

## set

uint16_t ISMRMRD::ISMRMRD_ImageHeader::set

e.g. flow encoding set

## slice

uint16_t ISMRMRD::ISMRMRD_ImageHeader::slice

e.g. imaging slice number

## slice_dir

float ISMRMRD::ISMRMRD_ImageHeader::slice_dir[3]

Directional cosines of the slice direction

## user_float

float ISMRMRD::ISMRMRD_ImageHeader::user_float[ISMRMRD_USER_FLOATS]

Free user parameters

## user_int

int32_t ISMRMRD::ISMRMRD_ImageHeader::user_int[ISMRMRD_USER_INTS]

Free user parameters

## version

uint16_t ISMRMRD::ISMRMRD_ImageHeader::version

First unsigned int indicates the version

The documentation for this struct was generated from the following file:

- ismrmrd.h